org.gradle.language.swift

## Interface SwiftSharedLibrary

- All Superinterfaces:
    Named, SoftwareComponent, SwiftBinary

      @Incubating
      public interface SwiftSharedLibrary
      extends SwiftBinary

  A shared library built from Swift source.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

      `getCompileImportPath, getLinkLibraries, getModule, getRuntimeLibraries, getSwiftSource, isDebuggable`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`